Bug 1018082 - [deploy]"503 Service Unavailable" error met when accessing home page of the scalable app after jenkins build successfully.
[deploy]"503 Service Unavailable" error met when accessing home page of the s...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 03:32 EDT by Lei Zhang
Modified: 2015-05-14 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:35:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-10-11 03:32:53 EDT
Description of problem:
Given a scalable app(ruby-1.8, jbossews-2.0, perl-5.10, python-3.3, php-5.3 or jbosseap-6) embedded with jenkins-client created(e.g., myjbossews20s), change something in local repo and git push, after jenkins build succesfully, access the home page of app via browser, found "503 Service Unavailable"
Note: 
1. Without jenkins-client, after git push, the home page can be accessed.
2. Didn't find the same issue on jbossews-1.0 and jbossas-7 scalabe app and non-scalable app.


Version-Release number of selected component (if applicable):
devenv-3886

How reproducible:
always

Steps to Reproduce:
1.create one scalable app embedded jenkins-client
#rhc app create myjbossews20s jbossews-2.0 -s --enable-jenkins
2.change something in local repo and do git push
#sed -i 's/Welcome/Hi/g' src/main/webapp/index.html &&git add -A &&git commit -amp&&git push
3.access the home page of app via browser


Actual results:
"503 Service Unavailable" error when accessing the home page of app.

Expected results:
The home page of app should be accessed.

Additional info:
Comment 1 openshift-github-bot 2013-10-14 16:44:19 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/8ae192e3da0ebe056eb32f652b96fa21d30aa36a
Bug 1018082

Fix bug where calls to remote_deploy (i.e. Jenkins deployments) were
only operating on the local gear and weren't rotating the gear back in
correctly.

Convert activate to use with_gear_rotation.
Comment 2 Lei Zhang 2013-10-15 03:19:41 EDT
on devenv_3898, this issue doesn't exist, the home page of the scalable app after jenkins build can be accessed successfully

[rayzhang@ray Work]$ export http_proxy="http://file.rdu.redhat.com:3128"
[rayzhang@ray Work]$ wget http://myjbossews20s-ray.stg.rhcloud.com/
--2013-10-15 15:17:25--  http://myjbossews20s-ray.stg.rhcloud.com/
Resolving file.rdu.redhat.com... 10.11.5.7
Connecting to file.rdu.redhat.com|10.11.5.7|:3128... connected.
Proxy request sent, awaiting response... 200 OK
Length: 5814 (5.7K) [text/html]
Saving to: “index.html”

100%[============================================================================================================================>] 5,814       --.-K/s   in 0.002s  

2013-10-15 15:17:26 (3.06 MB/s) - “index.html” saved [5814/5814]
Comment 3 Lei Zhang 2013-10-15 22:10:56 EDT
Verified on devenv_3901, this issue has been fixed.

[rayzhang@ray Work]$ wget http://myjbossews20s-chunchen.dev.rhcloud.com/
--2013-10-16 10:10:28--  http://myjbossews20s-chunchen.dev.rhcloud.com/
Resolving file.rdu.redhat.com... 10.11.5.7
Connecting to file.rdu.redhat.com|10.11.5.7|:3128... connected.
Proxy request sent, awaiting response... 200 OK
Length: 5814 (5.7K) [text/html]
Saving to: “index.html.1”

100%[==================================================================================>] 5,814       --.-K/s   in 0.002s  

2013-10-16 10:10:30 (3.11 MB/s) - “index.html.1” saved [5814/5814]

Note You need to log in before you can comment on or make changes to this bug.